<?php

class SibsOrderRef extends ObjectModel
{
    public $id_sibs_order_ref;

    public $id_sibs_order_ref_category;

    public $position;

    public $active;

    public static $definition = [
        'table'     => 'sibs_order_ref',
        'primary'   => 'id',
        'multilang' => false,
        'fields'    => [
            'id_order'            => ['type' => self::TYPE_INT, 'validate' => 'isNullOrUnsignedId', 'size' => 10],
            'id_transaction'      => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 32],
            'id_reference'        => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 32],
            'id_captured'         => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 32],
            'id_refunded'         => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 32],
            'payment_method'      => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'payment_type'        => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'payment_status'      => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'payment_date'        => ['type' => self::TYPE_DATE, 'validate' => 'isDate'],
            'currency'            => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 3],
            'amount'              => ['type' => self::TYPE_FLOAT, 'validate' => 'isFloat'],
            'capture_status'      => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'capture_information' => ['type' => self::TYPE_NOTHING, 'validate' => 'isGenericName'],
            'refund_status'       => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'refund_information'  => ['type' => self::TYPE_NOTHING, 'validate' => 'isGenericName'],
        ],
    ];
}
